<HTML>
<HEAD>
<META HTTP-EQUIV="imagetoolbar" CONTENT="no">
<meta http-equiv="Content-Type" content="text/html; charset=euc-kr">
<TITLE>MOVIE</TITLE>
<link href="../../css/style.css" rel="stylesheet" type="text/css">
<script  language="javascript" src="../../js/parse_get.js" type="text/javascript"></script>
<script  language="javascript" src="../../js/parse_cookie.js" type="text/javascript"></script>
<script language="javascript" src="../../js/ObjectWrite.js" type="text/javascript"></script>
<script language="javascript" type="text/javascript">
<!--
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

var vfLen = _get["vf"].length;
var flashBig = 1;
var loc = _get["loc"][0];
if(loc == "L") var loc1 = "R";
else var loc1 = "L";
var processBar;
var athorFrmae;
var athorFrameSrc;

var albumCodes = parent.albumCode;
var pageNo;

if(loc == "R") pageNo = parent.xxx;
else pageNo = parent.xxx - 1;
var pageNumTrue = parent.PageData[pageNo][1];
function NoDrag() 
{ 
	document.oncontextmenu    = new Function ("return false"); 
	document.ondragstart    = new Function ("return false"); 
	document.onselectstart    = new Function ("return false"); 
	//setTimeout(NoDrag, 100); 
} 
function objwidth() 
{	
	if(parent.MBookFrameLocate && parent.isBroswer == 'IE')  onClickStop();
	var flWidth = parent.MBookWidth - (13*2);
	var flHeight = parent.MBookHeight - 191
	processBar = flWidth;
	nTimeEndPosition = processBar;
	if(parent.isBroswer == 'IE')
	{
		if(mVer =="v7") {
			player.style.height = 240;
			player.style.width = 320;
		}
		else {
			try{
				player.height = 240;
				player.width = 320;
			}
			catch(e) {
			}
		}
	}
	document.getElementById('bimg').style.height = flHeight;
	document.getElementById('bimg').style.width = flWidth;
	document.getElementById('bimg').style.left=13;
	document.getElementById('bimg').style.top = 36;

	var lowidth = Math.round((flWidth - 200) / 2);
	var loHeight = Math.round((parent.MBookHeight - 51 - 100) / 2);

	document.getElementById('loadDiv').style.left = lowidth;
	document.getElementById('loadDiv').style.top = loHeight;
}

function mdown(event) {
	if(loc=="L") locate = "L";
	else locate ="R";
	tmp = parent.document.getElementById('MBookFrame'+locate);
	if(event.button == parent.mButtonLeft) {
		if(flashBig == 1  && parent.isBroswer == 'IE' ) {
			onClickStop();
			if(loc=="L") parent.right();
			else parent.left();
		}
		if(flashBig == 2) SmallSizeMovie();
	}
	else
	{
		NoDrag();
	}
}

function SmallSizeMovie() {
	var locate = loc;
	tmp = parent.document.getElementById('MBookFrame'+loc);
	tmp1 = parent.document.getElementById('MBookFrame'+loc1);
	if(flashBig==2) {
		if(locate == "L") {
			var frLeft = parent.LLeft;
			var frTop = parent.LTop;
		}
		else {
			var frLeft = parent.RLeft;
			var frTop = parent.RTop;
		}
		if(parent.isBroswer == 'IE') player.style.visibility = "hidden";
		tmp.style.zIndex=12;
		tmp.style.left = frLeft;
		tmp.style.top = frTop;
			
		tmp.style.width = parent.MBookWidth;
		tmp.style.height = parent.MBookHeight;
		if(athorFrmae == true) {
			tmp1.style.visibility = "visible";
		}
		var flWidth = parent.MBookWidth - (13*2);
		var flHeight = parent.MBookHeight - 191
		processBar = flWidth;
		
		if(parent.isBroswer == 'IE')
		{	
			if(mVer == "v7") {
				player.style.height = 240;
				player.style.width = 320;
			}
			else {
				player.height=240;
				player.width=320;
			}
		}

		document.getElementById('bimg').style.height = flHeight;
		document.getElementById('bimg').style.width = flWidth;
		document.getElementById('bimg').style.left=13;
		document.getElementById('bimg').style.top = 36;
			
		var lowidth = Math.round((flWidth - 200) / 2);
		var loHeight = Math.round((parent.MBookHeight - 51 - 100) / 2);

		document.getElementById('loadDiv').style.left = lowidth;
		document.getElementById('loadDiv').style.top = loHeight;
		if(parent.isBroswer != 'IE')
		{
			var lowidth = Math.round((flWidth - 300) / 2);
			var loHeight = Math.round((parent.MBookHeight - 81 - 150) / 2);
			document.getElementById('player').style.left = lowidth;
			document.getElementById('player').style.top = loHeight;
		}
		else
		{
			setTimeout("player.style.visibility = 'visible'",300);
		}
		parent.showContent();
		flashBig = 1;
		parent.FramePageExpand = false;
		athorFrmae = false;
	}
	//20091016
	parent.outLineDivShow();
}

function BigSizeMovie() {
	tmp = parent.document.getElementById('MBookFrame'+loc);
	tmp1 = parent.document.getElementById('MBookFrame'+loc1);
	
	if(flashBig == 1) {
		tmp.style.zIndex=25;
		if(tmp1.style.display != "none") {
			athorFrmae = true;
			tmp1.style.visibility = "hidden";
		}
		
		if(parent.isBroswer == 'IE') player.style.visibility = "hidden";
		tmp.style.width = parent.tWidth-parent.marginBar-7;
		tmp.style.height = parent.tHeight;
		tmp.style.left = 0;
		tmp.style.top = 0;
		
		var flWidth = eval(parent.tWidth - parent.marginBar - 26);
		var flHeight = parent.tHeight - 191;
		processBar = flWidth;
		
		bimg.style.height = flHeight;
		bimg.style.width = flWidth;
		bimg.style.left = 13;
		bimg.style.top = 36;
		if(parent.isBroswer == 'IE')
		{	
			if(mVer=="v7") { 
				player.style.height = 480;
				player.style.width = 640;
			}
			else {
				try{
					player.width=640;
					player.height=480;
					player.stretchToFit=true;	
				}
				catch(e) {
				}
			}
		}
		var lowidth = Math.round((flWidth - 200) / 2);
		var loHeight = Math.round((parent.MBookHeight - 51 - 100) / 2);

		document.getElementById('loadDiv').style.left = lowidth;
		document.getElementById('loadDiv').style.top = loHeight;
		parent.hideContent();
		if(parent.isBroswer != 'IE')
		{
			document.getElementById('player').style.left = lowidth;
			document.getElementById('player').style.top = loHeight;
		}
		else
		{
			setTimeout("player.style.visibility = 'visible'",300);
		}
		flashBig = 2;
		parent.FramePageExpand = true;
	}
	//20091016
	parent.outLineDivHidden();
}

function OnKeyDownLevel(event) {
	if(event.keyCode ==116 || event.keyCode ==81){ 
		event.keyCode= 38; 
	} 
	event.keyCode= 38; 
	return false; 
}

function check_imgLoading() {
	if(parent.isBroswer != 'FF2' && parent.isBroswer != 'FF3')
	{
		if(document.readyState != "complete") {			
			setTimeout("check_imgLoading()",200);
		}
		else {
			if(loc=="R") {	parent.FramePageLoadingR = true; }
			if(loc=="L") { parent.FramePageLoadingL = true;	}
		}
	}
	else
	{
		if(loc=="R") {	parent.FramePageLoadingR = true; }
		if(loc=="L") { parent.FramePageLoadingL = true;	}
	}
}

function changeMovie(target) {
	try
	{
		var listFile = target.options[target.selectedIndex].value;
		
		if(parent.HTML_EXECUTABLE==true)
		{
			var cpk = listFile.indexOf("://");
			if(cpk < 0) {
				var utp;
				var fck = listFile.lastIndexOf("/");
				var fileName = listFile.substring(fck+1,listFile.length);
				window.external.runHEScriptCom("hescript://UserMain.testFunction3|"+fileName+"|"+pageNumTrue+"|"+albumCodes);
				utp = window.external.GetGlobalVariable('tempPath','');
				listFile = utp;
			}
			else listFile = listFile;
		}
		else
		{
			listFile = listFile;
		}

		if(mVer == "v7") 
			player.FileName = listFile;
		else player.url = listFile;
	}catch(e){}
}
//-->
</script>

<SCRIPT FOR="player" EVENT="Buffering(bStart)" LANGUAGE="jscript">
 <!--
try{
	 if(bStart == false) document.getElementById('loadDiv').style.visibility = "visible";
	  else document.getElementById('loadDiv').style.visibility = "hidden";
}catch(e){}
 //-->
 </SCRIPT>

<script language="javascript" type="text/javascript">
<!--
//		▶ 초기화
		var idx = 'kor01264290,';
		var nIdxTotalCount = 1;	// 전체 곡의 수
		var nCurrPlayCount = 0;								// 현재 곡의 순번
		var nTimeStartPosition = 0;							// 플레이 바 시작 점
		var nTimeEndPosition = processBar;							// 플레이 바 끝 점
		var nVolLeftPosition = 0;							// 볼륨 바 배경 시작점
		var nVolStartPosition = 0;							// 볼륨 바 시작 점
		var nVolEndPosition = 56;							// 볼륨 바 끝 점
		var nVolume = 100;									// 볼륨 초기 값
		var nPrevVol;										// 볼륨이 변경되기 전의 값
		var nBeforePlayCount = 0;							// 정지하기 전의 재생 곡

		var bIsMvMail			= false;				// 뮤직 비디오 메일 쓰기 상태인지
		var bIsReadMvMail		= false;
		var bIsSend				= false;
		var bIsRandom			= false;				// 랜덤 플레이 여부
		var bIsBuff				= false;						// 버퍼 모드 여부
		var bIsPositionSet		= false;						// 위치바 드래그 여부
		var bIsVolumeSet		= false;						// 볼륨바 드래그 여부
		var bIsEndOfPlay		= false;						// 모든 무비 재생이 끝났는지의 여부
		var bIsPlay				= false;
		var bIsStop				= true;
		var bIsPause			= false;
		
		var blsAdMv				= false;					//동영상광고
		 
//		▶ 표시될 상태 정보
		var strStateMsg			= '재생중';					// 우측 상태 표시
		var strStateInfoTime	= '00:00';					// 우측 시간 표시
		var strStateInfoCurr	= '';						// 우측 현재 곡 정보
		var strStateInfoNext	= '';						// 우측 다음 곡 정보
		var arrIsMovieAd		= new Array();
		var arrIdx				= new Array();
//		▶ 광고에서 사용하는 정보 (배열인 이유는 여러개의 광고가 들어갈 수 있으므로)
		var strProgId			= '';
		var strData				= '';
		var strFileSeq			= '';
		var strLink				= '';
		var strFileId			= '';

//		▶ 화면에 보이는 정보
		var nListMode		= 1;							// 기본값 1 : 리스트, 0 : 가사
		var nListOpen		= 1;							// 기본값 1 : 오픈,   0 : 닫힘
		var nLetterOpen		= 0;							// 기본값 0 : 닫힘,   1 : 열림
		var nZoomed			= 1;							// 기본값 1 : 줌됨,   0 : 축소됨
		
		var nowDuration
		var display_timer
		var nSong
		var nSinger
		var nMeta
		var neSong
		var neSinger
		var time_total
		var startPlay
		var showBuffer; // 반복 동작을 가리키는 변수

function LoadPlayTime(){ // 시간을 표시하는 함수
	try{
		// 현재 재생되고 있는 음악의 총 시간은 두가지 방법으로 불러 올 수 있습니다.
		// 하나는 전체가 몇 초인가 하는 236(초)이라는 숫자를 불러오는 것이고
		// 다른 하나는 3:56 식으로 문자를 불러오는 것입니다.
		// 숫자를 불러 오려면 player.currentMedia.duration 으로 하면 됩니다.
		// 문자로 불러 오려면 다음과 같이 하면 됩니다.
		//var duration = player.currentMedia.durationString;

		// 재생되고 있는 음악이 몇초가 지났는지는 player.controls.currentPosition 으로 가져올 수 있습니다.
		// 그러나 이것은 몇초(소수점 포함)로 값을 반환하기 때문에 3:56 식으로 변환을 해줘야 합니다.
		var nowTime = player.controls.currentPosition;
		var nowPosition = time_paser(nowTime);

		// 재생이 되고 있다면 nowTime이 0보다 크겠죠?
		if(nowTime > 0){
			document.all["play_time"].innerHTML = "<font color=#ffffff>" + nowPosition + " / "+ duration + "</font>";
		}
		else if(nowTime >= player.currentMedia.duration){ // 재생시간이 전체시간과 같거나(재생이 끝났다는 말이죠) 클경우..(이런 경우도 있나?!) 함수를 빠져나옵니다.
			return;
		}

		// 시간 표시를 초 단위로 하기 때문에 1초보다 작은 값으로 반복을 시켜주면 되겠죠.
		// 1000이 1초입니다. 따라서 500은 0.5초입니다. 0.5초마다 시간을 표시해주는 겁니다.
		setTimeout("LoadPlayTime();", 500);
	}catch(e){}
}

// 숫자를 mm:ss 식으로 변환하는 함수
function time_paser(i_time){
	try{
		var PlyTime,PlyCl,PlyMin,PlySec,temp;
		PlyTime=i_time;
		temp=Math.floor(PlyTime/60);
		PlySec=Math.floor(PlyTime%60);
		PlyClk=Math.floor(temp/60);
		PlyMin=Math.floor(temp%60);
		if (PlyMin <10) {PlyMin='0'+PlyMin;}
		if (PlySec <10) {PlySec='0'+PlySec;}
		if (PlyClk==0){r_TimeText=PlyMin+':'+PlySec;}else{r_TimeText=PlyClk+':'+PlyMin+':'+PlySec;}
		return r_TimeText;
	}catch(e){}
}

function player_pause(){ // 일시정지
	try{
		if(player.playState == 2){ // 일시 정지상태에서 pause 버튼을 누르면 그 시점부터 다시 재생되어야 함.
			player.controls.play();
		}
		else{
			if(player.controls.isAvailable('pause')){
				player.controls.pause();
			}
		}
	}catch(e){}
}

function UpdateBuffer(){// 버퍼링 과정을 표시하는 함수
	try{	
		// 버퍼링이 얼마나 되었는지를 나타내는 것은 player.network.bufferingProgress 입니다.
		document.all["state"].innerHTML = "<font color=\"#675737\">"+player.network.bufferingProgress + "% 버퍼링 중....</font>";
		if(player.network.bufferingProgress==100) {
			clearInterval(showBuffer);
			document.all["state"].innerHTML='<font color="#675737">재생중</font>';
		}
	}catch(e){}
}



function getMediaInfo(){
	try{
		nSinger=document.player.currentMedia.getItemInfo("AUTHOR")
		nSong=document.player.currentMedia.getItemInfo("TITLE")
		
		if (player.currentPlaylist.count!=player.controls.currentItemIndex){
			var nowIndex=player.controls.currentItemIndex
			neSinger=player.currentPlaylist.Item(nowIndex).getItemInfo("AUTHOR")
			neSong=player.currentPlaylist.Item(nowIndex).getItemInfo("TITLE")
			//nextsong.innerHTML = '<font color="#A28673">' + neSinger + ' - ' + neSong + '</font>';
		}else{
			neSinger=""
			neSong=""
			//nextsong.innerHTML = '<font color="#A28673">다음 재생할 곡이 없습니다.</font>';
		}
		nowsong.innerHTML = '<font color="#855100">'  + nSong + '</font>';
		nowsong1.innerHTML = '<font color="#855100">' + nSinger +  '</font>';
		//document.title = '벅스뮤직비디오 - ' + nSinger + ' - ' + nSong;	
		//bugs_list.highlight();
	}catch(e){}
}

function convertPositionToTime(secondTime){  // 초로 받아들여진 값을 시 : 분 : 초로 변환해 준다.
	try{
		var nHour = 0;
		var nMin  = 0;
		var nSec  = 0;
		var strTime = '';
		nSec = Math.floor(secondTime % 60);
		nHour = Math.floor(secondTime / 3600);
		nMin = Math.floor((secondTime / 60) - (nHour * 60));
		if(nSec < 10) nSec = '0' + nSec;
		if(nMin < 10) nMin = '0' + nMin;
		if(nHour < 10) nHour = '0' + nHour;
		if(secondTime > 3600){
			strTime = nHour + ':' + nMin + ':' + nSec;
		}else{
			strTime = nMin + ':' + nSec;
		}
		return strTime;
	}catch(e){}
}
// 플레이 진행 바 시작 #######################################################
function dispTimeBar(){
	try{
		clearTimeout(display_timer);
		try{	
			if(mVer == "v7") var nowPostion=player.CurrentPosition;
			else var nowPostion=player.controls.CurrentPosition;
		}catch(e){}
		if(nowPostion > 0 && bIsPositionSet==false){
			var nTimePosition = ((nowPostion * nTimeEndPosition) / nowDuration) + nTimeStartPosition;
			timebg.style.pixelWidth = nTimePosition - nTimeStartPosition;
			time.style.pixelLeft = nTimePosition;
		}
			
		now_time.innerHTML = '<font color="#675737">' + convertPositionToTime(nowPostion) + ' / ' + time_total + '</font>';
		display_timer=setTimeout('dispTimeBar()',1000);
	}catch(e){}
}  //끝



function setTimeBar(){
	try{
		if(parent.isBroswer == 'IE')
		{
			if(mVer=="v7"){
				if(!arrIsMovieAd[nCurrPlayCount]){
					if(Math.floor(player.CurrentPosition)>0){
						bIsPositionSet = true;
						iex = event.clientX;
						tempx = time.style.pixelLeft;
						document.onmousemove = positionDragControl;
						if (document.all){document.onmouseup=setplayerPosition;}
					}
				}
			}
			
			else {
				if(!arrIsMovieAd[nCurrPlayCount]){
					if(Math.floor(player.controls.CurrentPosition)>0){
						bIsPositionSet = true;
						iex = event.clientX;
						tempx = time.style.pixelLeft;
						document.onmousemove = positionDragControl;
						if (document.all){document.onmouseup=setplayerPosition;}
					}
				}
			}
		}
	}catch(e){}
}//끝

function setplayerPosition(){
	try{
		if (bIsPositionSet == true){
			
			if(mVer=="v7") {
				player.CurrentPosition = Math.floor(player.Duration*((time.style.pixelLeft-nTimeStartPosition)/nTimeEndPosition));
			}
			else {
				var moveTimeStamp = Math.floor(player.currentMedia.Duration*((time.style.pixelLeft-nTimeStartPosition)/nTimeEndPosition));
				
				player.controls.CurrentPosition = moveTimeStamp;
			}
			bIsPositionSet = false;
			display_timer=setTimeout('dispTimeBar()',1000);
		}
	}catch(e){}
}//끝
function positionDragControl(){
	try{
		if (bIsPositionSet==true){
			var mov = tempx+event.clientX-iex;
			if ((mov >= nTimeStartPosition)  && (mov < nTimeEndPosition)){
				document.all.time.style.pixelLeft=mov;
				document.all.timebg.style.pixelWidth=mov
			}
			return false;
		}
	}catch(e){}
}

function reSetTimeBar() {
	try{
		bIsPositionSet=false;
		display_timer=setTimeout('dispTimeBar()',1000);
	}catch(e){}
}
// 플레이 진행 바 끝 #######################################################
// 볼륨 바 시작 ############################################################
function setVolumeBar(){	
	try{
		nPrevVol = event.clientX;
		nVolLeftPosition = sound.style.pixelLeft;
		bIsVolumeSet = true;
		document.onmousemove=drag_dropie;
		if (document.all){document.onmouseup=endVolume;}
	}catch(e){}
} //끝

function drag_dropie(){
	try{
		if (bIsVolumeSet==true){
			var mov = nVolLeftPosition+event.clientX-nPrevVol;
			if ((mov >= nVolStartPosition)  && (mov < nVolEndPosition)){
				cutpoint=nVolEndPosition-sound.style.pixelLeft;
				document.all.soundbg.style.pixelWidth=58-cutpoint;
				document.all.sbg.width = 58-cutpoint;
				sound.style.pixelLeft=nVolLeftPosition+event.clientX-nPrevVol;
				//player.Settings.Volume =100-(cutpoint/56) * 100;
				var volPrc = Math.round(100-(cutpoint/56) * 100);
				if(mVer == "v7")  {
					player.Volume= volPrc * 100 - 10000;
				}
				else {
					player.settings.Volume= Math.round(100-(cutpoint/56)*100);
				}
				//nowsong1.innerHTML = '<font color="#855100">' + (volPrc * 100 - 10000) +  '</font>';
				nVolume=sound.style.pixelLeft
				nVolume1=document.all.sbg.width;
			}
			return false;
		}
	}catch(e){}
}//끝

function endVolume(){
	bIsVolumeSet=false;
}//끝
function mute(){
	try{
		if (player.Mute==0){			
			document.all.sbg.width = 1;
			sound.style.pixelLeft=0;
			player.Mute=-1;
		}else{
			document.all.sbg.width = nVolume;
			sound.style.pixelLeft = nVolume;
			player.Mute=0;
		}
	}catch(e){}
}//끝
// 볼륨 바 끝 ################################################################
function showLayer(obj, flag){
	if(flag){
		obj.style.display = 'block';
	}else{
		obj.style.display = 'none';
	}
}

//플레이어 제어
function onClickPrev(){
	try{
		if(mVer=="v7")	{
			player.Previous();
		}
		else player.controls.Previous();
	}catch(e){}
}
// 다음 뮤비
function onClickNext(){
	try{
		if(mVer=="v7"){
			player.Next();
		}
		else player.controls.Next();
	}catch(e){}
}
	
// 뮤비 재생
function onClickPlay(){
	try{
		clearTimeout(startPlay);
		if(mVer=="v7"){
			player.Play();
		}
		else player.controls.Play();
	}catch(e){}
}
// 뮤비 일시 정지
function onClickPause(){
	try{	
		if(mVer=="v7"){
			player.Pause();
		}
		else player.controls.Pause();
	}catch(e){}
}
// 뮤비 정지
function onClickStop(){
	try{
		//mplayer.CurrentPosition=240
		if(mVer=="v7"){
			player.stop();
		}
		else player.controls.stop();
	}catch(e){}
}		
//플레이어 제어
function eventEndOfStream(lResult){
	try{
		divADplayer.style.display="none";
		document.all.player.style.width=480;
		document.all.player.style.height=360;
		blsAdMv=false;
		
		if(mVer=="v7") player.Play();
		else player.controls.Play();
	}catch(e){}
}
//-->
</script>
</HEAD>
<body leftmargin="0" topmargin="0" onkeydown="OnKeyDownLevel(event)" onMouseDown="mdown(event)"   scroll="no" bgcolor="#CFCFCF" >

<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr height="30">
    <td >
	  <table width="100%" height="30" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="143"><img src="../../base/movie/viewer_title_movie.gif" width="143" height="30"></td>
          <td>&nbsp;</td>
          <td width="90"><img src="../../base/movie/top_min.gif" width="15" height="15" border="0" onClick="SmallSizeMovie();" style="cursor:pointer">&nbsp;&nbsp;<img src="../../base/movie/top_max.gif" width="15" height="15" border="0"  onClick="BigSizeMovie();" style="cursor:pointer">&nbsp;&nbsp;<img src="../../base/movie/top_full.gif" width="15" height="15" border="0"onClick="player.DisplaySize = 3" style="cursor:pointer"></td>
        </tr>
      </table>
	</td>
  </tr>
  
  <tr>
    <td>
	  <table width="100%"  height="100%" border="0" bordercolor="yellow" cellspacing="0" cellpadding="0" id="playTable">
        <tr height=6> 
          <td width="7" height="6"></td>
          <td width="6" height="6"><img src="../../base/movie/m_viewer02.gif" width="6" height="6"></td>
          <td height="6" background="../../base/movie/m_viewer03.gif"></td>
          <td width="6" height="6"><img src="../../base/movie/m_viewer04.gif" width="6" height="6"></td>
          <td width="7" height="6"></td>
        </tr>

        <tr> 
          <td width="7">&nbsp;</td>
          <td width="6"  background="../../base/movie/m_viewer05.gif"></td>
          <td align="center"  valign="middle" bgcolor="#000000"  onClick="BigSizeMovie()">
				  <img id=bimg src="../../base/blank_opacity.gif" border="0" style='position:absolute;top:0px;left:0px;z-index:5;cursor:pointer;width:320;height:240;' alt="screen">
				  <div align="center" id="loadDiv" STYLE="position:absolute; left:12px; top:30px;visibility:visible;width:200px;height:100px">
					  <table cellpadding=0 cellspacing=0 width=100%  border=0 bgcolor=black>
						<tr><td align=center><img src="../../base/movie/m_logo.gif"></td></tr>
					  </table>
					</div>	
<script language="javascript" type="text/javascript">
<!--
var mhtml;
var startMoviepath = _get["vf"][0];
startMoviepath = startMoviepath.replace("./page/"+parent.albumCode+"/", "./");

if(parent.isBroswer == 'IE')
{
	document.write('<OBJECT ID="vPlayer" width="0" height="0" CLASSID="CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6"></OBJECT>');
	var mVer;
	if (!vPlayer.versionInfo) mVer = "v7";
	else  mVer = "v9";

	if(mVer == "v7") 
	{
						mhtml = "<object classid=\"clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95\"  TYPE=\"application/x-oleobject\" width=\"100%\" height=\"100%\" align=\"middle\" standby=\"Loading Microsoft?Windows?MediaPlayer components...\" id=\"player\" name=\"player\">";
							mhtml += "<PARAM NAME=\"FileName\" VALUE=\"\">";
							mhtml += "<PARAM NAME=\"AllowScan\" VALUE=\"1\">";  
							mhtml += "<PARAM NAME=\"autostart\" value=\"1\">";
							mhtml += "<PARAM NAME=\"AutoSize\" value=\"1\">";
							mhtml += "<PARAM NAME=\"AnimationAtStart\" VALUE=\"0\">";
							mhtml += "<PARAM NAME=\"TransparentAtStart\" VALUE=\"1\">"; 
							mhtml += "<PARAM NAME=\"DisplayMode\" VALUE=\"4\">";
							mhtml += "<PARAM NAME=\"EnableContextMenu\" VALUE=\"0\">";  
							mhtml += "<PARAM NAME=\"ShowControls\" VALUE=\"0\">";  
							mhtml += "<PARAM NAME=\"ShowAudioControls\" VALUE=\"1\">";
							mhtml += "<PARAM NAME=\"ShowDisplay\" VALUE=\"0\">"; 
							mhtml += "<PARAM NAME=\"ShowGotoBar\" VALUE=\"0\">";
							mhtml += "<PARAM NAME=\"ShowControls\" VALUE=\"false\">";
							mhtml += "<PARAM NAME=\"ShowPositionControls\" VALUE=\"0\">"; 
							mhtml += "<PARAM NAME=\"ShowStatusBar\" VALUE=\"0\">";  
							mhtml += "<PARAM NAME=\"ShowCaptioning\" VALUE=\"0\">"; 
							mhtml += "<PARAM NAME=\"ShowTracker\" VALUE=\"1\">";
							mhtml += "<PARAM NAME=\"ClickToPlay\" VALUE=\"0\">";
							mhtml += "<PARAM NAME=\"playCount\" value=\"1\">";
							mhtml += "<PARAM NAME=\"Volume\" value=\"0\">";
							mhtml += "<PARAM NAME=\"uiMode\" value=\"full\">";
							mhtml += "<PARAM NAME=\"BufferingTime\" value=\"5\">";
							mhtml += "<PARAM NAME=\"SendMouseClickEvents\" value=1>";
						mhtml += "</OBJECT>";
	}
	else if(mVer == "v9") 
	{
						mhtml = "<object classid=\"clsid:6BF52A52-394A-11d3-B153-00C04F79FAA6\"  TYPE=\"application/x-oleobject\" width=\"100%\" height=\"100%\" align=\"middle\" standby=\"Loading Microsoft?Windows?MediaPlayer components...\" id=\"player\" name=\"player\">";
							mhtml += "<PARAM NAME=\"url\" VALUE=\"\">";
							mhtml += "<PARAM NAME=\"AllowScan\" VALUE=\"1\">";  
							mhtml += "<PARAM NAME=\"autostart\" value=\"1\">";
							mhtml += "<PARAM NAME=\"AutoSize\" value=\"1\">";
							mhtml += "<PARAM NAME=\"AnimationAtStart\" VALUE=\"0\">";
							mhtml += "<PARAM NAME=\"TransparentAtStart\" VALUE=\"1\">"; 
							mhtml += "<PARAM NAME=\"DisplayMode\" VALUE=\"4\">";
							mhtml += "<PARAM NAME=\"EnableContextMenu\" VALUE=\"0\">";
							mhtml += "<PARAM NAME=\"ShowAudioControls\" VALUE=\"1\">";
							mhtml += "<PARAM NAME=\"ShowDisplay\" VALUE=\"0\">"; 
							mhtml += "<PARAM NAME=\"ShowGotoBar\" VALUE=\"0\">";
							mhtml += "<PARAM NAME=\"ShowControls\" VALUE=\"false\">";
							mhtml += "<PARAM NAME=\"ShowPositionControls\" VALUE=\"0\">"; 
							mhtml += "<PARAM NAME=\"ShowStatusBar\" VALUE=\"0\">";  
							mhtml += "<PARAM NAME=\"ShowCaptioning\" VALUE=\"0\">"; 
							mhtml += "<PARAM NAME=\"ShowTracker\" VALUE=\"1\">";
							mhtml += "<PARAM NAME=\"ClickToPlay\" VALUE=\"0\">";
							mhtml += "<PARAM NAME=\"playCount\" value=\"1\">";
							mhtml += "<PARAM NAME=\"Volume\" value=\"100\">";
							mhtml += "<PARAM NAME=\"uiMode\" value=\"none\">";
							mhtml += "<PARAM NAME=\"BufferingTime\" value=\"5\">";
							mhtml += "<PARAM NAME=\"SendMouseClickEvents\" value=1>";
							mhtml += "<PARAM NAME=\"balance\" value=\"0\">";
							mhtml += "<PARAM NAME=\"strechToFit\" value=\"true\">";
							mhtml += "<PARAM NAME=\"shrinkToFit\" value=\"true\">";
							mhtml += "<PARAM NAME=\"currentPosition\" value=\"0\">";
						mhtml += "</OBJECT>";
	
	}
}
else
{
	tmp_width = parseInt(parent.MBookWidth - 26);
	tmp_height = parseInt(parent.MBookHeight - 191);
/*
	mhtml = "<object id=\"player\" name=\"player\" type=\"application/x-mplayer2\" data=\""+startMoviepath+"\" width='"+tmp_width+"' height='"+tmp_height+"'> "+
					"<param name=\"movie\" value=\""+startMoviepath+"\" /> "+
					"<param name=\"wmode\" value=\"opaque\" /> "+
					"<p><font color=#FFFFFF><B>해당 컨텐츠를 보려면 <a href=\"http://www.microsoft.com/downloads\" target=_blank>Windows MediaPlayer</a>가 필요합니다.</font></B></p> "+
				"</object> ";
	
*/	
	mhtml = "<EMBED type='application/x-mplayer2' id='player'  Name='player' AutoSize='1'  width='"+tmp_width+"'  Height='"+tmp_height+"'  src='"+startMoviepath+"' autostart='1' wmode='transparent'><p><font color=#FFFFFF>해당 컨텐츠를 보려면 <a href=\"http://www.microsoft.com/downloads\" target=_blank>Windows MediaPlayer</a>가 필요합니다.</font></p></EMBED>";
	document.getElementById('loadDiv').style.visibility = "hidden";	 
}

documentwrite(mhtml);
//-->
</script>
		  </td>
          <td width="6"  background="../../base/movie/m_viewer07.gif"></td>
          <td width="7" >&nbsp;</td>
        </tr>
        <tr height=6> 
          <td width="7" height="6"></td>
          <td width="6" height="6"><img src="../../base/movie/m_viewer06.gif" width="6" height="6"></td>
          <td height="6" background="../../base/movie/m_viewer08.gif"></td>
          <td width="6" height="6"><img src="../../base/movie/m_viewer09.gif" width="6" height="6"></td>
          <td width="7" height="6"></td>
        </tr>
      </table>
	</td>
  </tr>

  <tr height="20">
    <td width="100%">
	<!-- 상태 진행 바 -->
	  <table width="100%" height="20" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="13">&nbsp;</td>
          <td background="../../base/movie/m_viewer10.gif" onMousedown="setTimeBar();" style="cursor:pointer">
			<div id="timebg" style="Z-INDEX: 2; LEFT: 0px; WIDTH: 9px; POSITION: relative; TOP: 0px; HEIGHT: 14px;border:1px">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" height="20" background="../../base/movie/m_viewer10_b.gif">
			  <tr>
			    <td>
				<div id="time" style="Z-INDEX: 3; LEFT: 0px; WIDTH: 9px; POSITION: relative; TOP: 1px; HEIGHT: 14px"><a onMousedown="setTimeBar()" onmouseover="this.style.cursor='pointer'"><img src="../../base/movie/pl_1.gif" width="9" height="14" border="0"></a></div>
				</td>
			  </tr>
			</table>
		    </div>
		  </td>
          <td width="12">&nbsp</td>
        </tr>
      </table>
	<!-- 상태 진행 바 끝 -->
	</td>
  </tr>

  <tr height="31">
    <td width="100%">
	  <table width="100%" height="31" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="7"></td>
          <td width="6"><img src="../../base/movie/m_viewer11.gif" width="6" height="31"></td>
          <td background="../../base/movie/m_viewer13.gif">
		    <table width="100%" height="31" border="0" cellpadding="0" cellspacing="0">
              <tr> 
                <td width="10">&nbsp;</td>
                <td width="27"><img src="../../base/movie/p01.gif" name="play" width="27" height="27" border="0" onclick="onClickPlay();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('play','','../../base/movie/p01_1.gif',1)" style="cursor:pointer"></td>
                <td width="27"><img src="../../base/movie/p02.gif" name="pause" width="27" height="27" border="0" style="cursor:pointer" onclick="onClickPause();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('pause','','../../base/movie/p02_1.gif',1)"></td>
                <td width="27"><img src="../../base/movie/p03.gif" name="stop" width="27" height="27" border="0" style="cursor:pointer" onclick="onClickStop();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('stop','','../../base/movie/p03_1.gif',1)"></td>
                <td>&nbsp;</td>
                <td width="45"><img src="../../base/movie/p04.gif" width="38" height="6"></td>
                <td width="64" background="../../base/movie/vol.gif">
				<!-- 볼륨 조절 바 -->
				<div id="soundbg" style="Z-INDEX: 1; LEFT: 0px; WIDTH: 56px; POSITION: relative; TOP: 0px; HEIGHT: 31px">
				  <table border="0" cellpadding="0" cellspacing="0" width="100%" height="31" background="../../base/movie/vol_b.gif" id="sbg">
					<tr>
					  <td>
						<div id="sound" style="Z-INDEX: 3; LEFT: 56px; WIDTH: 9px; POSITION: relative; TOP: 8px; HEIGHT: 31px"><a onMousedown="setVolumeBar()" onmouseover="this.style.cursor='pointer'"><img src="../../base/movie/pl_1.gif" width="9" height="14" border="0"></a></div>
					  </td>
					</tr>
				  </table>
				</div>
				<!-- 볼륨 조절 바 끝 -->
				</td>
                <td width="15">&nbsp;</td>
              </tr>
            </table>
		  </td>
          <td width="6"><img src="../../base/movie/m_viewer12.gif" width="6" height="31"></td>
          <td width="6"></td>
        </tr>
      </table>
	</td>
  </tr>

  <tr height="29">
    <td width="100%">
	  <table width="100%" height="29" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="7"></td>
          <td width="71"><img src="../../base/movie/m_viewer15.gif" width="71" height="29"></td>
          <td><div id="state" style="width:100%; height:29px; position:relative; left:20px; top:10px; z-index:1;"><font color="#675737">Loading...</font></div></td>
          <td width="110"><div id="now_time" align=right style="width:80px; height:29px; position:relative; left:0px; top:10px; z-index:2;"><font color="#675737">00:00/00:00</font></div></td>
        </tr>
      </table>
	</td>
  </tr>
  
  <tr height="69">
    <td width="100%">
	  <table width="100%" height="69" border="0" cellpadding="0" cellspacing="0">
	    <tr height=58> 
		  <td width="7" valign="top"></td>
		  <td width="71" valign="top"><img src="../../base/movie/m_viewer14.gif" width="71" height="58"></td>
		  <td valign="top" background="../../base/movie/m_viewer14-1.gif">
		    <table width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr> 
			    <td height="11" colspan="2">&nbsp;</td>
			  </tr>
			  <tr> 
			    <td height="20" width="131"><div id="nowsong" style="OVERFLOW: hidden; WIDTH: 131px; HEIGHT: 19px"><font color="#855100" size="2">&nbsp;&nbsp;</font></DIV></td>
			    <td rowspan="2" valign="top">
				<script language="javascript" type="text/javascript">
				<!--
				if(vfLen > 1) {
					var html;
					html = "<font color=\"#675737\"><font size=\"2\"><strong>재생목록</strong></font><BR>";
					html += "<select name=\"movieList\" style=\"width:90%;\" onChange=\"changeMovie(this);\">\n";

					for(i=0; i < vfLen; i++) {
						html += "<option value=\""+_get["vf"][i].replace("./page/"+parent.albumCode+"/", "")+"\">"+_get["vt"][i].replace(/%20/gi," ")+"</option>\n";
					}
					html += "</select>\n";
					document.write(html);
				
				}
				//-->
				</script>
				</td>
			  </tr>
			  <tr> 
			    <td height="20" width="131"><div id="nowsong1" style="OVERFLOW: hidden; WIDTH: 131px; HEIGHT: 19px"><font size="2" color="#855100">&nbsp;&nbsp;</font></DIV></td>
			  </tr>
		    </table>
		  </td>
		  <td width="6" valign="top"><img src="../../base/movie/m_viewer14-2.gif" width="6" height="58"></td>
		  <td width="7" valign="top"></td>
	    </tr>
	    <tr> 
		  <td height="11" valign="top" colspan=4></td>
	    </tr>
	  </table>
	</td>
  </tr>
</table>
<script language="javascript" type="text/javascript">
<!--
objwidth();
if(parent.HTML_EXECUTABLE==true)
{
	var cpk = startMoviepath.indexOf("://");
	if(cpk < 0) {
		var utp;
		var fck = startMoviepath.lastIndexOf("/");
		var fileName = startMoviepath.substring(fck+1,startMoviepath.length);
		window.external.runHEScriptCom("hescript://UserMain.testFunction3|"+fileName+"|"+pageNumTrue+"|"+albumCodes);
		utp = window.external.GetGlobalVariable('tempPath','');
		startMoviepath = utp;
	}
	else startMoviepath = startMoviepath;
}

if(parent.isBroswer == 'IE')
{
	if(mVer == "v7") document.player.FileName =startMoviepath;
	else document.player.url = startMoviepath;
	document.onreadystatechange = check_imgLoading;
}
else
{
	window.onload = check_imgLoading;
}


//-->
</script>
<script language="JScript" for="player" event="playStateChange(NewState)">
<!--
try
{
	switch(NewState) {
		case 0 :  // Undefined
			break;
		case 1 :  // Stopped
			document.all["state"].innerHTML='<font color="#675737">멈춤</font>';
			break;
		case 2 :  // Paused
			document.all["state"].innerHTML='<font color="#675737">일시정지</font>';
			break;
		case 3 :  // Playing
			if(mVer == "v7") nowDuration=player.Duration;
			else  nowDuration=player.currentMedia.Duration;
			time_total=convertPositionToTime(nowDuration);
			dispTimeBar();
			document.all["state"].innerHTML='<font color="#675737">재생중</font>';
			break;
		case 4 :  // ScanForward
			clearInterval(showBuffer);
			document.all["state"].innerHTML='<font color="#675737">다음곡</font>';
			break;
		case 5 :  // ScanReverse
			document.all["state"].innerHTML='<font color="#675737">이전곡</font>';
			break;
		case 6 :  // Buffering
			showBuffer = setInterval("UpdateBuffer();", 200);
			document.all["state"].innerHTML='<font color="#675737">버퍼링중</font>';
			break;
		case 7 :  // Waiting
			document.all["state"].innerHTML='<font color="#675737">대기중</font>';
			break;
		case 9 :  // Transitioning
			document.all["state"].innerHTML='<font color="#675737">'+player.status+'</font>';
			break;
		case 10 :  // Ready
			document.all["state"].innerHTML='<font color="#675737">준비중</font>';
			break;
		case 15 :  // Transitioning
			document.all["state"].innerHTML='<font color="#675737">'+player.status+'</font>';
			break;
		case 21 :  // Transitioning
			document.all["state"].innerHTML='<font color="#675737">'+player.status+'</font>';
			break;
		default:
			document.all["state"].innerHTML='<font color="#675737">'+player.status+'</font>';
			break;
	}
}
catch (e)
{

}
	
//-->
</script>

</BODY>
</HTML>
